## meli 0.8.7+20241016+dfsg

=== debian/changelog ===
meli (0.8.7+20241016+dfsg-2) unstable; urgency=medium

  * update and unfuzz patches
  * bump build-dependencies for crate nix;
    closes: bug#1085448, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Nov 2024 09:10:23 +0100

meli (0.8.7+20241016+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + avoid using AtomicU64

  [ Jonas Smedegaard ]
  * add bug URI in DEP-3 patch header

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Oct 2024 13:46:44 +0200

meli (0.8.7+20241007+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + Rename addressbook stuff to "contacts"
    + nntp: properly return all nntp mailboxes
    + contact-editor: remove empty space
    + Add support for signatures
    + Accept newer versions of base64 dependency;
      closes: bug#1084298, thanks to Santiago Vila

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * simplify rules to no longer avoid obsolete test
  * try re-enable dh_dwz, perhaps working nowadays
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 16 Oct 2024 15:28:19 +0200

meli (0.8.7+20240922+dfsg-1) unstable; urgency=medium

   [ upstream ]
  * development snapshot
    highlights:
    + view: pass filtered body to Composer as reply text
    + pgp: perform gpgme's sign+encrypt manually

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Sep 2024 18:50:31 +0200

meli (0.8.7+20240921+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + melib/utils: add fnmatch(3) interface
    + make subscribed_mailboxes conf val optional
    + fix compilation for 32-bit architectures

  [ Jonas Smedegaard ]
  * build-depend on package for crate cfg-if
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Sep 2024 13:26:56 +0200

meli (0.8.7+20240920+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + nntp: misc. changes
    + add patch_retrieve module
    + pgp: use default sign/encrypt keys when no keys are selected;
      closes: bug#1081747, thanks to Matthias Geiger
    + view/filters: forward events on child filters
    + file: try trimming filename if ENAMETOOLONG
    + compose/pgp: add encrypt_for_self flag
    + gpgme: add always trust flag to encrypt op
    + view/envelope: trim headers values to 3 lines maximum
    + compose: make dialogs bigger in height

  [ Jonas Smedegaard ]
  * update and unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 21 Sep 2024 00:35:17 +0200

meli (0.8.7+20240912+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + logging: disable `tracing` from output
    + Add transpose shortcut and tests for text field
    + melib/maildr: add rename_regex config option
    + Add human-readable identifiers in temp draft files
    + Add a "move to Trash" shortcut
    + contacts/editor: Use FormButtonAction in form
    + Add vCard exports
    + listing: add customizable view divider like sidebar's
    + Add listing.thread_layout config flag
    + view: fix nested filter jobs never being completed
    + main.rs: always send a JobFinished event to all components
    + pager.rs: don't set self dirty after filter selector

  [ Jonas Smedegaard ]
  * extend patch 2002 to include gpgm3 soname;
    closes: bug#1081198, thanks to Matthias Geiger
  * drop patch 2003, obsoleted by upstream changes
  * unfuzz patches
  * build-depend on package for crate chrono

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Sep 2024 02:05:45 +0200

meli (0.8.7+20240903+dfsg-2) unstable; urgency=medium

  * enable feature dbus-notifications;
    build-depend on package for crate notify-rust
  * mention NNTP in long description

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Sep 2024 11:30:41 +0200

meli (0.8.7+20240903+dfsg-1) experimental; urgency=medium

  * initial release;
    closes: bug#1001084

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Sep 2024 19:02:04 +0200

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
repacksuffix=+dfsg,\
mode=git,pgpmode=none,pretty=0.8.7+%cd,\
uversionmangle=s/\d\K-(alpha|beta|rc)\.?/~$1/,\
dversionmangle=auto \
https://git.meli-email.org/meli/meli.git \
HEAD

## meli 0.8.10+dfsg

=== Makefile ===
# meli - Makefile
#
# Copyright 2017-2020 Manos Pitsidianakis
#
# This file is part of meli.
#
# meli is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# meli is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with meli. If not, see <http://www.gnu.org/licenses/>.
.POSIX:
.SUFFIXES:
CARGO_TARGET_DIR ?= target
CARGO_BIN ?= cargo
TAGREF_BIN ?= tagref
CARGO_ARGS ?=
RUSTFLAGS ?= -D warnings -W unreachable-pub -W rust-2021-compatibility
CARGO_SORT_BIN = cargo-sort
CARGO_HACK_BIN = cargo-hack
PRINTF = /usr/bin/printf

# Options
PREFIX ?= /usr/local
EXPANDED_PREFIX := `cd ${PREFIX} && pwd -P`
BINDIR ?= ${EXPANDED_PREFIX}/bin
MANDIR ?= ${EXPANDED_PREFIX}/share/man

# Installation parameters
DOCS_SUBDIR ?= meli/docs/
MANPAGES ?= meli.1 meli.conf.5 meli-themes.5 meli.7
FEATURES != [ -z "$${MELI_FEATURES}" ] && ($(PRINTF) -- '--all-features') || ($(PRINTF) -- '--features %s' "$${MELI_FEATURES}")

MANPATHS != ACCUM="";for m in `manpath 2> /dev/null | tr ':' ' '`; do if [ -d "$${m}" ]; then REAL_PATH=`cd $${m} && pwd` ACCUM="$${ACCUM}:$${REAL_PATH}";fi;done;echo $${ACCUM}'\c' | sed 's/^://'
VERSION = `grep -m1 version meli/Cargo.toml | head -n1 | cut -d'"' -f 2 | head -n1`
MIN_RUSTC = `grep -m1 rust-version meli/Cargo.toml | head -n1 | cut -d'"' -f 2 | head -n1`
GIT_COMMIT = `git show-ref -s --abbrev HEAD`
DATE = `date -I`

# Output parameters
BOLD ?= `[ -z $${TERM} ] && echo "" || tput bold`
UNDERLINE ?= `[ -z $${TERM} ] && echo "" || tput smul`
ANSI_RESET ?= `[ -z $${TERM} ] && echo "" || tput sgr0`
CARGO_COLOR ?= `[ -z $${NO_COLOR+x} ] && echo "" || echo "--color=never "`
RED ?= `[ -z $${NO_COLOR+x} ] && ([ -z $${TERM} ] && echo "" || tput setaf 1) || echo ""`
GREEN ?= `[ -z $${NO_COLOR+x} ] && ([ -z $${TERM} ] && echo "" || tput setaf 2) || echo ""`
YELLOW ?= `[ -z $${NO_COLOR+x} ] && ([ -z $${TERM} ] && echo "" || tput setaf 3) || echo ""`

.PHONY: meli
meli: check-deps
	${CARGO_BIN} build ${CARGO_ARGS} ${CARGO_COLOR}--target-dir="${CARGO_TARGET_DIR}" ${FEATURES} --release --bin meli

.PHONY: help
help:
	@echo "For a quick start, build and install locally:\n\n${BOLD}${GREEN}make PREFIX=~/.local install${ANSI_RESET}\n"
	@echo "Available subcommands:"
	@echo " - ${BOLD}meli${ANSI_RESET} (builds meli with optimizations in \$$CARGO_TARGET_DIR)"
	@echo " - ${BOLD}install${ANSI_RESET} (installs binary in \$$BINDIR and documentation to \$$MANDIR)"
	@echo " - ${BOLD}uninstall${ANSI_RESET}"
	@echo "\nSecondary subcommands:"
	@echo " - ${BOLD}clean${ANSI_RESET} (cleans build artifacts)"
	@echo " - ${BOLD}check-deps${ANSI_RESET} (checks dependencies)"
	@echo " - ${BOLD}install-bin${ANSI_RESET} (installs binary to \$$BINDIR)"
	@echo " - ${BOLD}install-doc${ANSI_RESET} (installs manpages to \$$MANDIR)"
	@echo " - ${BOLD}help${ANSI_RESET} (prints this information)"

	@echo " - ${BOLD}dist${ANSI_RESET} (creates release tarball named meli-"${VERSION}".tar.gz in this directory)"
	@echo " - ${BOLD}deb-dist${ANSI_RESET} (builds debian package in the parent directory)"
	@echo " - ${BOLD}distclean${ANSI_RESET} (cleans distribution build artifacts)"
	@echo " - ${BOLD}build-rustdoc${ANSI_RESET} (builds rustdoc documentation for all packages in \$$CARGO_TARGET_DIR)"
	@echo "\nENVIRONMENT variables of interest:"
	@$(PRINTF) "* MELI_FEATURES "
	@[ -z $${MELI_FEATURES+x} ] && echo "unset" || echo "= ${UNDERLINE}"$${MELI_FEATURES}${ANSI_RESET}
	@$(PRINTF) "* PREFIX "
	@[ -z ${EXPANDED_PREFIX} ] && echo "unset" || echo "= ${UNDERLINE}"${EXPANDED_PREFIX}${ANSI_RESET}
	@$(PRINTF) "* BINDIR = %s\n" "${UNDERLINE}${BINDIR}${ANSI_RESET}"
	@$(PRINTF) "* MANDIR "
	@[ -z ${MANDIR} ] && echo "unset" || echo "= ${UNDERLINE}"${MANDIR}${ANSI_RESET}
	@$(PRINTF) "* MANPATH = "
	@[ $${MANPATH+x} ] && echo ${UNDERLINE}$${MANPATH}${ANSI_RESET} || echo "unset"
	@echo "* (cleaned) output of manpath(1) = ${UNDERLINE}${MANPATHS}${ANSI_RESET}"
	@$(PRINTF) "* NO_MAN "
	@[ $${NO_MAN+x} ] && echo "set" || echo "unset"
	@$(PRINTF) "* NO_COLOR "
	@[ $${NO_COLOR+x} ] && echo "set" || echo "unset"
	@echo "* CARGO_BIN = ${UNDERLINE}${CARGO_BIN}${ANSI_RESET}"
	@$(PRINTF) "* CARGO_ARGS "
	@[ -z $${CARGO_ARGS+x} ] && echo "unset" || echo "= ${UNDERLINE}"$${CARGO_ARGS}${ANSI_RESET}
	@$(PRINTF) "* AUTHOR (for deb-dist) "
	@[ -z $${AUTHOR+x} ] && echo "unset" || echo "= ${UNDERLINE}"$${AUTHOR}${ANSI_RESET}
	@echo "* MIN_RUSTC = ${UNDERLINE}${MIN_RUSTC}${ANSI_RESET}"
	@echo "* VERSION = ${UNDERLINE}${VERSION}${ANSI_RESET}"
	@echo "* GIT_COMMIT = ${UNDERLINE}${GIT_COMMIT}${ANSI_RESET}"
	@#@echo "* CARGO_COLOR = ${CARGO_COLOR}"

.PHONY: check
check: check-tagrefs
	RUSTFLAGS='${RUSTFLAGS}' ${CARGO_BIN} check ${CARGO_ARGS} ${CARGO_COLOR}--target-dir="${CARGO_TARGET_DIR}" ${FEATURES} --all --tests --examples --benches --bins

.PHONY: fmt
fmt:
	$(CARGO_BIN) +nightly fmt --all || $(CARGO_BIN) fmt --all
	@OUT=$$($(CARGO_SORT_BIN) melib -w 2>&1 && $(CARGO_SORT_BIN) meli -w 2>&1) || $(PRINTF) "WARN: %s cargo-sort failed or binary not found in PATH.\n" "$$OUT"

.PHONY: lint
lint:
	RUSTFLAGS='${RUSTFLAGS}' $(CARGO_BIN) clippy --no-deps ${FEATURES} --all --tests --examples --benches --bins

.PHONY: test
test: test-docs
	RUSTFLAGS='${RUSTFLAGS}' ${CARGO_BIN} test ${CARGO_ARGS} ${CARGO_COLOR}--target-dir="${CARGO_TARGET_DIR}" ${FEATURES} --all --tests --examples --benches --bins

.PHONY: test-docs
test-docs:
	RUSTFLAGS='${RUSTFLAGS}' ${CARGO_BIN} test ${CARGO_ARGS} ${CARGO_COLOR}--target-dir="${CARGO_TARGET_DIR}" ${FEATURES} --all --doc

.PHONY: test-feature-permutations
test-feature-permutations:
	$(CARGO_HACK_BIN) hack --feature-powerset

.PHONY: check-deps
check-deps:
	@(if ! echo ${MIN_RUSTC}\\n`${CARGO_BIN} --version | grep ^cargo | cut -d ' ' -f 2` | sort -CV; then echo "rust version >= ${RED}${MIN_RUSTC}${ANSI_RESET} required, found: `which ${CARGO_BIN}` `${CARGO_BIN} --version | cut -d ' ' -f 2`" \
		"\nYour options:\n - Set CARGO_BIN to a supported version\n - Install a supported version from your distribution's package manager\n - Install a supported version from ${UNDERLINE}https://rustup.rs/${ANSI_RESET}" ; exit 1; fi)


.PHONY: clean
clean:
	-rm -rf ./${CARGO_TARGET_DIR}/

.PHONY: distclean
distclean:
	rm -f meli-${VERSION}.tar.gz
	rm -rf .pc # rm debian stuff

.PHONY: uninstall
uninstall:
	rm -f $(DESTDIR)${BINDIR}/meli
	for MANPAGE in ${MANPAGES}; do \
			SECTION=`echo $${MANPAGE} | rev | cut -d "." -f 1`; \
			MANPAGEPATH="${DESTDIR}${MANDIR}/man$${SECTION}/$${MANPAGE}.gz"; \
			rm -f "$${MANAGEPATH}"
	; done

.PHONY: install-doc
install-doc:
	@(if [ -z $${NO_MAN+x} ]; then \
		echo " - ${BOLD}Installing manpages to ${ANSI_RESET}${DESTDIR}${MANDIR}:" ; \
		for MANPAGE in ${MANPAGES}; do \
			SECTION=`echo $${MANPAGE} | rev | cut -d "." -f 1`; \
			mkdir -p $(DESTDIR)${MANDIR}/man$${SECTION} ; \
			MANPAGEPATH=${DESTDIR}${MANDIR}/man$${SECTION}/$${MANPAGE}.gz; \
			echo "  * installing $${MANPAGE} → ${GREEN}$${MANPAGEPATH}${ANSI_RESET}"; \
			gzip -n < ${DOCS_SUBDIR}$${MANPAGE} > $${MANPAGEPATH} \
		; done ; \
	(case ":${MANPATHS}:" in \
	*:${DESTDIR}${MANDIR}:*) echo "\c";; \
	*) echo "\n${RED}${BOLD}WARNING${ANSI_RESET}: ${UNDERLINE}Path ${DESTDIR}${MANDIR} is not contained in your MANPATH variable or the output of \`manpath\` command.${ANSI_RESET} \`man\` might fail finding the installed manpages. Consider adding it if necessary.\nMANPATH variable / output of \`manpath\`: ${MANPATHS}" ;; \
	esac) ; \
	else echo "NO_MAN is defined, so no documentation is going to be installed." ; fi)

.PHONY: install-bin
install-bin: meli
	mkdir -p $(DESTDIR)${BINDIR}
	@echo " - ${BOLD}Installing binary to ${ANSI_RESET}${GREEN}${DESTDIR}${BINDIR}/meli${ANSI_RESET}"
	@case ":${PATH}:" in \
	*:${DESTDIR}${BINDIR}:*) echo "\n";; \
	*) echo "\n${RED}${BOLD}WARNING${ANSI_RESET}: ${UNDERLINE}Path ${DESTDIR}${BINDIR} is not contained in your PATH variable.${ANSI_RESET} Consider adding it if necessary.\nPATH variable: ${PATH}";; \
	esac
	mkdir -p $(DESTDIR)${BINDIR}
	rm -f  $(DESTDIR)${BINDIR}/meli
	cp ./${CARGO_TARGET_DIR}/release/meli $(DESTDIR)${BINDIR}/meli
	chmod 755 $(DESTDIR)${BINDIR}/meli


.PHONY: install
.NOTPARALLEL: yes
install: meli install-bin install-doc
	@(if [ -z $${NO_MAN+x} ]; then \
	$(PRINTF) "\n You're ready to go. You might want to read the \"STARTING WITH meli\" section in the manpage (\`man meli\`)" ;\
	$(PRINTF) "\n or the tutorial in meli(7) (\`man 7 meli\`).\n" ;\
	fi)
	@$(PRINTF) " - Report bugs in the mailing list or git issue tracker ${UNDERLINE}https://git.meli-email.org${ANSI_RESET}\n"
	@$(PRINTF) " - If you have a specific feature or workflow you want to use, you can post in the mailing list or git issue tracker.\n"

.PHONY: dist
dist:
	git archive --format=tar.gz --prefix=meli-${VERSION}/ HEAD >meli-${VERSION}.tar.gz
	@echo meli-${VERSION}.tar.gz

AUTHOR ?= grep -m1 authors meli/Cargo.toml | head -n1 | cut -d'"' -f 2 | head -n1
.PHONY: deb-dist
deb-dist:
	@$(PRINTF) "Override AUTHOR environment variable to set package metadata.\n"
	dpkg-buildpackage -b -rfakeroot -us -uc --build-by="${AUTHOR}" --release-by="${AUTHOR}"
	@echo ${BOLD}${GREEN}Generated${ANSI_RESET}  ../meli_${VERSION}-1_`dpkg --print-architecture`.deb

.PHONY: build-rustdoc
build-rustdoc:
	RUSTDOCFLAGS="--crate-version ${VERSION}_${GIT_COMMIT}_${DATE}" ${CARGO_BIN} doc ${CARGO_ARGS} ${CARGO_COLOR}--target-dir="${CARGO_TARGET_DIR}" --all-features --no-deps --workspace --document-private-items --open

.PHONY: check-tagrefs
check-tagrefs:
	@(if ! command -v "$(TAGREF_BIN)" > /dev/null;\
		then \
				$(PRINTF) "Warning: tagref binary not in PATH.\n" 1>&2;\
				exit;\
		else \
				$(TAGREF_BIN);\
		fi)

.PHONY: test-makefile
test-makefile:
	@$(PRINTF) "Checking that current version is detected. "
	@([ ! -z "${VERSION}" ] && $(PRINTF) "${GREEN}OK${ANSI_RESET}\n") || $(PRINTF) "${RED}ERROR${ANSI_RESET}\nVERSION env var is empty, check its definition.\n" 1>&2
	@$(PRINTF) "Checking that 'date -I' works on this platform. "
	@export DATEVAL=$$(printf "%s" ${DATE} | wc -c | tr -d "[:blank:]" 2>&1); ([ "$${DATEVAL}" = "10" ] && $(PRINTF) "${GREEN}OK${ANSI_RESET}\n") || $(PRINTF) "${RED}ERROR${ANSI_RESET}\n'date -I' does not produce a YYYY-MM-DD output on this platform.\n" 1>&2
	@$(PRINTF) "Checking that the git commit SHA can be detected. "
	@([ ! -z "$(GIT_COMMIT)" ] && $(PRINTF) "${GREEN}OK${ANSI_RESET}\n") || $(PRINTF) "${YELLOW}WARN${ANSI_RESET}\nGIT_COMMIT env var is empty.\n" 1>&2

# Checking if mdoc changes produce new lint warnings from mandoc(1) compared to HEAD version:
#
# example invocation: `mandoc_lint meli.1`
#
# with diff(1)
# ============
#function mandoc_lint () {
#diff <(mandoc -T lint <(git show HEAD:./meli/docs/$1) 2> /dev/null | cut -d':' -f 3-) <(mandoc -T lint ./meli/docs/$1 2> /dev/null | cut -d':' -f 3-)
#}
#
# with sdiff(1) (side by side)
# ============================
#
#function mandoc_lint () {
#sdiff <(mandoc -T lint <(git show HEAD:./meli/docs/$1) 2> /dev/null | cut -d':' -f 3-) <(mandoc -T lint ./meli/docs/$1 2> /dev/null | cut -d':' -f 3-)
#}
#
# with delta(1)
# =============
#
#function mandoc_lint () {
#delta --side-by-side <(mandoc -T lint <(git show HEAD:./meli/docs/$1) 2> /dev/null | cut -d':' -f 3-) <(mandoc -T lint ./meli/docs/$1 2> /dev/null | cut -d':' -f 3-)
#}

## meli 0.8.7+20241104+dfsg

=== debian/changelog ===
meli (0.8.7+20241104+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + compose: fix add-attachment-file-picker
    + composer: add discard-draft command
    + shortcuts: add select_motion equivalent to select_entry
    + manage: parse `scroll_{left,right}` actions
    + imap: return all mailboxes, not just subscribed ones

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 05 Nov 2024 16:57:19 +0100

=== debian/control ===
Source: meli
Section: mail
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-assert-cmd-2+default-dev,
 librust-async-fn-stream-0.2+default-dev,
 librust-async-io-2+default-dev,
 librust-async-task-4+default-dev,
 librust-bincode-1+default-dev,
 librust-bitflags-2+default-dev,
 librust-bitflags-2+serde-dev,
 librust-cfg-if-1+default-dev,
 librust-chrono-0.4-dev,
 librust-crossbeam-0.8+default-dev,
 librust-data-encoding-2+default-dev,
 librust-encoding-0.2+default-dev,
 librust-encoding-rs-0.8+default-dev,
 librust-flate2-1+default-dev,
 librust-futures-0.3+default-dev,
 librust-imap-codec-2+default-dev,
 librust-imap-codec-2+ext-condstore-qresync-dev,
 librust-imap-codec-2+ext-id-dev,
 librust-indexmap-2+default-dev,
 librust-indexmap-2+serde-dev,
 librust-libc-0.2+default-dev,
 librust-libc-0.2+extra-traits-dev,
 librust-linkify-0.9+default-dev,
 librust-native-tls-0.2+default-dev,
 librust-nix-0.29+dir-dev,
 librust-nix-0.29+fs-dev,
 librust-nix-0.29+hostname-dev,
 librust-nix-0.29+ioctl-dev,
 librust-nix-0.29+poll-dev,
 librust-nix-0.29+process-dev,
 librust-nix-0.29+signal-dev,
 librust-nix-0.29+socket-dev,
 librust-nix-0.29+term-dev,
 librust-nom-7+default-dev,
 librust-notify-rust-4+default-dev,
 librust-notify-6+default-dev,
 librust-num-cpus-1+default-dev,
 librust-pcre2-0.2+default-dev,
 librust-polling-3+default-dev,
 librust-proc-macro2-1+default-dev,
 librust-rusqlite-0.29+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+rc-dev,
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-serde-json-1+raw-value-dev,
 librust-serde-path-to-error-0.1+default-dev,
 librust-signal-hook-0.3+default-dev,
 librust-smallvec-1+default-dev,
 librust-smallvec-1+serde-dev,
 librust-smol-2+default-dev,
 librust-socket2-0.5+default-dev,
 librust-stderrlog-0.5+default-dev,
 librust-structopt-0.3-dev,
 librust-syn-1+default-dev,
 librust-tempfile-3+default-dev,
 librust-termion-1+default-dev,
 librust-toml-0.8+display-dev,
 librust-toml-0.8+parse-dev,
 librust-toml-0.8+preserve-order-dev,
 librust-unicode-segmentation-1+default-dev,
 librust-uuid-1+default-dev,
 librust-uuid-1+serde-dev,
 librust-uuid-1+v4-dev,
 librust-uuid-1+v5-dev,
 librust-xdg-2+default-dev,
 mandoc,
Standards-Version: 4.7.0
Homepage: https://meli-email.org/
Vcs-Git: https://salsa.debian.org/debian/meli.git
Vcs-Browser: https://salsa.debian.org/debian/meli
Rules-Requires-Root: no

Package: meli
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 default-dbus-session-bus | dbus-session-bus,
 libgpgme11,
 libnotmuch5,
 mailcap,
 python3-pygments,
 w3m,
Suggests:
 default-mta | mail-transport-agent,
 gnupg,
Built-Using:
 ${cargo:Built-Using},
Static-Built-Using:
 ${cargo:Static-Built-Using},
Description: terminal mail client
 meli is a terminal email client with support for multiple accounts,
 and for Maildir, mbox, notmuch, IMAP and NNTP (Usenet).

## meli 0.8.9+dfsg

=== debian/changelog ===
meli (0.8.9+dfsg-4) unstable; urgency=medium

  * enable feature jmap:
    + drop patch 2001_isahc
    + build-depend on packages for crates isahc url
    + extend long description
  * add patch 2003 to generate unicode tables during build;
    build-depend on unicode-data;
    avoid pregenerated data when repackaging upstream source

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 05 Dec 2024 16:54:14 +0100

meli (0.8.9+dfsg-3) unstable; urgency=medium

  * drop workaround for missing crate sealed_test,
    potentially causing a test failure on arches armel armhf powerpc

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Nov 2024 10:39:08 +0100

meli (0.8.9+dfsg-2) unstable; urgency=medium

  * extend patch 2001_sealed_test to cover sqlite3 test
  * avoid checking tests in parallel,
    as workaround for missing crate sealed_test

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Nov 2024 12:44:25 +0100

meli (0.8.9+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file: track releases (not git commits)
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Nov 2024 23:53:13 +0100

meli (0.8.8+20241126+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + accounts: suggest tips on mailbox_by_path error
    + fix reindex of previously indexed account with sqlite3 backend
    + fix some compilation errors with cfg feature attrs
    + fix crash on saving contact
    + update futures-util dep, remove stderrlog dep
    + remove obsolete "encoding" dependency
    + melib/gpgme bindings renewal

  [ Jonas Smedegaard ]
  * unfuzz patches
  * build-depend on packages for crate aho-corasick (not encoding stderrlog)
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Nov 2024 11:53:32 +0100

meli (0.8.8+20241124+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    highlights:
    + conf/terminal: fix serde of ProgressSpinnerSequence
    + terminal: fix Synchronized Output response parsed as input
    + melib/utils: fix test_fd_locks() on platforms without OFD support
    + meli/accounts: use Arc<str> for account name
    + melib: use Vec instead of SmallVec for search results
    + melib/collection:
      ensure mailbox exists when inserting new envelopes
    + meli/docs/meli.conf.examples.5: fix .Dt macro arguments
    + meli/docs: add meli.conf.examples to CLI and tests

  [ Jonas Smedegaard ]
  * update watch file: bump version prefix
  * unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Nov 2024 03:39:14 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-rust,
+ librust-aho-corasick-1+default-dev,
  librust-assert-cmd-2+default-dev,
  librust-async-fn-stream-0.2+default-dev,
  librust-async-io-2+default-dev,
@@ -16,7 +17,6 @@
  librust-chrono-0.4-dev,
  librust-crossbeam-0.8+default-dev,
  librust-data-encoding-2+default-dev,
- librust-encoding-0.2+default-dev,
  librust-encoding-rs-0.8+default-dev,
  librust-flate2-1+default-dev,
  librust-futures-0.3+default-dev,
@@ -25,6 +25,9 @@
  librust-imap-codec-2+ext-id-dev,
  librust-indexmap-2+default-dev,
  librust-indexmap-2+serde-dev,
+ librust-isahc-1+http2-dev,
+ librust-isahc-1+json-dev,
+ librust-isahc-1+text-decoding-dev,
  librust-libc-0.2+default-dev,
  librust-libc-0.2+extra-traits-dev,
  librust-linkify-0.9+default-dev,
@@ -57,7 +60,6 @@
  librust-smallvec-1+serde-dev,
  librust-smol-2+default-dev,
  librust-socket2-0.5+default-dev,
- librust-stderrlog-0.5+default-dev,
  librust-structopt-0.3-dev,
  librust-syn-1+default-dev,
  librust-tempfile-3+default-dev,
@@ -66,12 +68,15 @@
  librust-toml-0.8+parse-dev,
  librust-toml-0.8+preserve-order-dev,
  librust-unicode-segmentation-1+default-dev,
+ librust-url-2+default-dev,
+ librust-url-2+serde-dev,
  librust-uuid-1+default-dev,
  librust-uuid-1+serde-dev,
  librust-uuid-1+v4-dev,
  librust-uuid-1+v5-dev,
  librust-xdg-2+default-dev,
  mandoc,
+ unicode-data,
 Standards-Version: 4.7.0
 Homepage: https://meli-email.org/
 Vcs-Git: https://salsa.debian.org/debian/meli.git
@@ -99,4 +104,6 @@
  ${cargo:Static-Built-Using},
 Description: terminal mail client
  meli is a terminal email client with support for multiple accounts,
- and for Maildir, mbox, notmuch, IMAP and NNTP (Usenet).
+ for Maildir, mbox content storage,
+ for notmuch metadata storage,
+ and for IMAP, JMAP and NNTP (Usenet) protocols.

## meli 0.8.10%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_CXXFLAGS_MAINT_APPEND  = -Wall -pedantic

# trust upstream optimization level unless explicitly disabled
ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
export DEB_CFLAGS_MAINT_STRIP=-O2
export DEB_CXXFLAGS_MAINT_STRIP=-O2
endif

UNICODE_REGENERATE_TABLES=true

%:
	dh $@

## meli 0.8.10+dfsg

=== debian/changelog ===
meli (0.8.10+dfsg-4) unstable; urgency=medium

  * fix author of patch 2001_imap-codec

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Feb 2025 12:59:03 +0100

meli (0.8.10+dfsg-3) unstable; urgency=medium

  * add patch 2001-imap-codec
    to use recent development snapshots of crate imap-codec;
    tighten build-dependency for crate imap-codec;
    closes: bug#1098847, thanks to Yue Gui
  * declare compliance with Debian Policy 4.7.1

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Feb 2025 12:51:34 +0100

meli (0.8.10+dfsg-2) unstable; urgency=medium

  * add patch cherry-picked upstream
    to purge subprocess envs in tests;
    closes: bug#1091073,
    thanks to Lucas Nussbaum and Manos Pitsidianakis
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 15 Jan 2025 01:37:20 +0100

meli (0.8.10+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release;
    closes: bug#1088756, #1089094, thanks to Matthias Geiger

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * build-depend on package for crate rusty-fork
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 06 Dec 2024 19:52:53 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  librust-flate2-1+default-dev,
  librust-futures-0.3+default-dev,
  librust-imap-codec-2+default-dev,
- librust-imap-codec-2+ext-condstore-qresync-dev,
+ librust-imap-codec-2+ext-condstore-qresync-dev (>= 2.0.0~alpha5+20250118),
  librust-imap-codec-2+ext-id-dev,
  librust-indexmap-2+default-dev,
  librust-indexmap-2+serde-dev,
@@ -49,6 +49,7 @@
  librust-polling-3+default-dev,
  librust-proc-macro2-1+default-dev,
  librust-rusqlite-0.29+default-dev,
+ librust-rusty-fork-0.3+default-dev,
  librust-serde-1+default-dev,
  librust-serde-1+rc-dev,
  librust-serde-derive-1+default-dev,
@@ -77,7 +78,7 @@
  librust-xdg-2+default-dev,
  mandoc,
  unicode-data,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Homepage: https://meli-email.org/
 Vcs-Git: https://salsa.debian.org/debian/meli.git
 Vcs-Browser: https://salsa.debian.org/debian/meli

## meli 0.8.11+dfsg

=== debian/changelog ===
meli (0.8.11+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Apr 2025 00:17:44 +0200

meli (0.8.10+dfsg-8) unstable; urgency=medium

  * check tests unoptimized on weak archs
  * stop relaxing optimizations for weak archs

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Apr 2025 05:29:09 +0200

meli (0.8.10+dfsg-7) unstable; urgency=medium

  * extend patch 2004 to patch out all upstream optimizations;
    flip around build flags
    to re-apply upstream most patched-out optimizations
    except on weak arches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 01 Apr 2025 21:51:18 +0200

meli (0.8.10+dfsg-6) unstable; urgency=medium

  * adjust build flags
    to reduce risk of out-of-memory build issues on weak arches

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 30 Mar 2025 12:23:18 +0200

meli (0.8.10+dfsg-5) unstable; urgency=medium

  * add patch 2004
    to avoid hardcoding default options interfering with debhelper;
    closes: bug#1101077, thanks to Matthias Geiger
  * declare compliance with Debian Policy 4.7.2
   
  * add metadata about upstream project
  * update git-buildpackage config: improve usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 23 Mar 2025 13:31:57 +0100

=== debian/control ===
--- 
+++ 
@@ -78,7 +78,7 @@
  librust-xdg-2+default-dev,
  mandoc,
  unicode-data,
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://meli-email.org/
 Vcs-Git: https://salsa.debian.org/debian/meli.git
 Vcs-Browser: https://salsa.debian.org/debian/meli

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
repacksuffix=+dfsg,\
uversionmangle=s/\d\K-(alpha|beta|rc)\.?/~$1/,\
filenamemangle=s/.*?@ANY_VERSION@(@ARCHIVE_EXT@)/@PACKAGE@_$1.orig$2/,\
dversionmangle=auto \
https://git.meli-email.org/meli/meli/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@

## meli 0.8.12%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -12,5 +12,18 @@
 
 UNICODE_REGENERATE_TABLES=true
 
+TEST_BROKEN = \
+ mail::compose::hooks::tests::test_draft_hook_datewarn
+
 %:
 	dh $@
+
+# avoid optimization on weak arches to not run out of memory
+override_dh_auto_test:
+ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf i386 mips64el powerpc riscv64))
+	DEB_BUILD_OPTIONS=noopt dh_auto_test --buildsystem rust -- \
+	--no-fail-fast -- $(addprefix --skip ,$(TEST_BROKEN))
+else
+	dh_auto_test --buildsystem rust -- \
+	--no-fail-fast -- $(addprefix --skip ,$(TEST_BROKEN))
+endif

## meli 0.8.12%2bdfsg

=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: meli
Project: meli
Dversion-Mangle: auto
Repacksuffix: +dfsg
# mangle dot- or dash-versioned prereleases (see bug#1112452)
Uversion-Mangle: s/\d\K[_.+-]?((?i)dev|pre|alpha|beta|rc)[.-]?/~$1/

## meli 0.8.12+dfsg

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 RUSTFLAGS ?= -D warnings -W unreachable-pub -W rust-2021-compatibility
 CARGO_SORT_BIN = cargo-sort
 CARGO_HACK_BIN = cargo-hack
-PRINTF = /usr/bin/printf
+PRINTF := `command -v printf`
 
 # Options
 PREFIX ?= /usr/local
@@ -55,7 +55,8 @@
 
 .PHONY: meli
 meli: check-deps
-	${CARGO_BIN} build ${CARGO_ARGS} ${CARGO_COLOR}--target-dir="${CARGO_TARGET_DIR}" ${FEATURES} --release --bin meli
+	@echo ${CARGO_BIN} build ${CARGO_ARGS} ${CARGO_COLOR}--target-dir=\""${CARGO_TARGET_DIR}"\" ${FEATURES} --release --bin meli
+	@${CARGO_BIN} build ${CARGO_ARGS} ${CARGO_COLOR}--target-dir="${CARGO_TARGET_DIR}" ${FEATURES} --release --bin meli
 
 .PHONY: help
 help:
@@ -75,7 +76,8 @@
 	@echo " - ${BOLD}deb-dist${ANSI_RESET} (builds debian package in the parent directory)"
 	@echo " - ${BOLD}distclean${ANSI_RESET} (cleans distribution build artifacts)"
 	@echo " - ${BOLD}build-rustdoc${ANSI_RESET} (builds rustdoc documentation for all packages in \$$CARGO_TARGET_DIR)"
-	@echo "\nENVIRONMENT variables of interest:"
+	@echo ""
+	@echo "ENVIRONMENT variables of interest:"
 	@$(PRINTF) "* MELI_FEATURES "
 	@[ -z $${MELI_FEATURES+x} ] && echo "unset" || echo "= ${UNDERLINE}"$${MELI_FEATURES}${ANSI_RESET}
 	@$(PRINTF) "* PREFIX "
@@ -89,20 +91,26 @@
 	@$(PRINTF) "* NO_MAN "
 	@[ $${NO_MAN+x} ] && echo "set" || echo "unset"
 	@$(PRINTF) "* NO_COLOR "
-	@[ $${NO_COLOR+x} ] && echo "set" || echo "unset"
+	@([ $${NO_COLOR+x} ] && [ "$${NO_COLOR}" != "" ] && echo "set") || echo "unset"
 	@echo "* CARGO_BIN = ${UNDERLINE}${CARGO_BIN}${ANSI_RESET}"
 	@$(PRINTF) "* CARGO_ARGS "
-	@[ -z $${CARGO_ARGS+x} ] && echo "unset" || echo "= ${UNDERLINE}"$${CARGO_ARGS}${ANSI_RESET}
+	@([ -z "${CARGO_ARGS}" ] && echo "unset") || echo = ${UNDERLINE}${CARGO_ARGS}${ANSI_RESET}
+	@$(PRINTF) "* RUSTFLAGS = "
+	@([ -z "${RUSTFLAGS}" ] && echo "unset") || echo = ${UNDERLINE}${RUSTFLAGS}${ANSI_RESET}
 	@$(PRINTF) "* AUTHOR (for deb-dist) "
 	@[ -z $${AUTHOR+x} ] && echo "unset" || echo "= ${UNDERLINE}"$${AUTHOR}${ANSI_RESET}
 	@echo "* MIN_RUSTC = ${UNDERLINE}${MIN_RUSTC}${ANSI_RESET}"
 	@echo "* VERSION = ${UNDERLINE}${VERSION}${ANSI_RESET}"
 	@echo "* GIT_COMMIT = ${UNDERLINE}${GIT_COMMIT}${ANSI_RESET}"
-	@#@echo "* CARGO_COLOR = ${CARGO_COLOR}"
+	@echo "* CARGO_TARGET_DIR = ${CARGO_TARGET_DIR}"
+	@echo ""
+	@echo "Built-in/binary utilities"
+	@echo "* PRINTF = ${UNDERLINE}${PRINTF}${ANSI_RESET}"
 
 .PHONY: check
 check: check-tagrefs
-	RUSTFLAGS='${RUSTFLAGS}' ${CARGO_BIN} check ${CARGO_ARGS} ${CARGO_COLOR}--target-dir="${CARGO_TARGET_DIR}" ${FEATURES} --all --tests --examples --benches --bins
+	@echo RUSTFLAGS=\"'${RUSTFLAGS}'\" ${CARGO_BIN} check ${CARGO_ARGS} ${CARGO_COLOR}--target-dir=\""${CARGO_TARGET_DIR}"\" ${FEATURES} --all --tests --examples --benches --bins
+	@RUSTFLAGS='${RUSTFLAGS}' ${CARGO_BIN} check ${CARGO_ARGS} ${CARGO_COLOR}--target-dir="${CARGO_TARGET_DIR}" ${FEATURES} --all --tests --examples --benches --bins
 
 .PHONY: fmt
 fmt:
@@ -111,15 +119,18 @@
 
 .PHONY: lint
 lint:
-	RUSTFLAGS='${RUSTFLAGS}' $(CARGO_BIN) clippy --no-deps ${FEATURES} --all --tests --examples --benches --bins
+	@echo RUSTFLAGS=\"'${RUSTFLAGS}'\" $(CARGO_BIN) clippy --no-deps ${FEATURES} --all --tests --examples --benches --bins
+	@RUSTFLAGS='${RUSTFLAGS}' $(CARGO_BIN) clippy --no-deps ${FEATURES} --all --tests --examples --benches --bins
 
 .PHONY: test
 test: test-docs
-	RUSTFLAGS='${RUSTFLAGS}' ${CARGO_BIN} test ${CARGO_ARGS} ${CARGO_COLOR}--target-dir="${CARGO_TARGET_DIR}" ${FEATURES} --all --tests --examples --benches --bins
+	@echo RUSTFLAGS=\"'${RUSTFLAGS}'\" ${CARGO_BIN} test ${CARGO_ARGS} ${CARGO_COLOR}--target-dir=\""${CARGO_TARGET_DIR}"\" ${FEATURES} --all --tests --examples --benches --bins
+	@RUSTFLAGS='${RUSTFLAGS}' ${CARGO_BIN} test ${CARGO_ARGS} ${CARGO_COLOR}--target-dir="${CARGO_TARGET_DIR}" ${FEATURES} --all --tests --examples --benches --bins
 
 .PHONY: test-docs
 test-docs:
-	RUSTFLAGS='${RUSTFLAGS}' ${CARGO_BIN} test ${CARGO_ARGS} ${CARGO_COLOR}--target-dir="${CARGO_TARGET_DIR}" ${FEATURES} --all --doc
+	@echo RUSTFLAGS=\"'${RUSTFLAGS}'\" ${CARGO_BIN} test ${CARGO_ARGS} ${CARGO_COLOR}--target-dir=\""${CARGO_TARGET_DIR}"\" ${FEATURES} --all --doc
+	@RUSTFLAGS='${RUSTFLAGS}' ${CARGO_BIN} test ${CARGO_ARGS} ${CARGO_COLOR}--target-dir="${CARGO_TARGET_DIR}" ${FEATURES} --all --doc
 
 .PHONY: test-feature-permutations
 test-feature-permutations:
@@ -204,7 +215,8 @@
 
 .PHONY: build-rustdoc
 build-rustdoc:
-	RUSTDOCFLAGS="--crate-version ${VERSION}_${GIT_COMMIT}_${DATE}" ${CARGO_BIN} doc ${CARGO_ARGS} ${CARGO_COLOR}--target-dir="${CARGO_TARGET_DIR}" --all-features --no-deps --workspace --document-private-items --open
+	@echo RUSTDOCFLAGS=\""--crate-version ${VERSION}_${GIT_COMMIT}_${DATE}"\" ${CARGO_BIN} doc ${CARGO_ARGS} ${CARGO_COLOR}--target-dir=\""${CARGO_TARGET_DIR}"\" --all-features --no-deps --workspace --document-private-items --open
+	@RUSTDOCFLAGS="--crate-version ${VERSION}_${GIT_COMMIT}_${DATE}" ${CARGO_BIN} doc ${CARGO_ARGS} ${CARGO_COLOR}--target-dir="${CARGO_TARGET_DIR}" --all-features --no-deps --workspace --document-private-items --open
 
 .PHONY: check-tagrefs
 check-tagrefs:
@@ -223,28 +235,3 @@
 	@$(PRINTF) "Checking that 'date -I' works on this platform. "
 	@export DATEVAL=$$(printf "%s" ${DATE} | wc -c | tr -d "[:blank:]" 2>&1); ([ "$${DATEVAL}" = "10" ] && $(PRINTF) "${GREEN}OK${ANSI_RESET}\n") || $(PRINTF) "${RED}ERROR${ANSI_RESET}\n'date -I' does not produce a YYYY-MM-DD output on this platform.\n" 1>&2
 	@$(PRINTF) "Checking that the git commit SHA can be detected. "
-	@([ ! -z "$(GIT_COMMIT)" ] && $(PRINTF) "${GREEN}OK${ANSI_RESET}\n") || $(PRINTF) "${YELLOW}WARN${ANSI_RESET}\nGIT_COMMIT env var is empty.\n" 1>&2
-
-# Checking if mdoc changes produce new lint warnings from mandoc(1) compared to HEAD version:
-#
-# example invocation: `mandoc_lint meli.1`
-#
-# with diff(1)
-# ============
-#function mandoc_lint () {
-#diff <(mandoc -T lint <(git show HEAD:./meli/docs/$1) 2> /dev/null | cut -d':' -f 3-) <(mandoc -T lint ./meli/docs/$1 2> /dev/null | cut -d':' -f 3-)
-#}
-#
-# with sdiff(1) (side by side)
-# ============================
-#
-#function mandoc_lint () {
-#sdiff <(mandoc -T lint <(git show HEAD:./meli/docs/$1) 2> /dev/null | cut -d':' -f 3-) <(mandoc -T lint ./meli/docs/$1 2> /dev/null | cut -d':' -f 3-)
-#}
-#
-# with delta(1)
-# =============
-#
-#function mandoc_lint () {
-#delta --side-by-side <(mandoc -T lint <(git show HEAD:./meli/docs/$1) 2> /dev/null | cut -d':' -f 3-) <(mandoc -T lint ./meli/docs/$1 2> /dev/null | cut -d':' -f 3-)
-#}

=== debian/changelog ===
meli (0.8.12+dfsg-8) unstable; urgency=medium

  * add patch cherry-picked upstream
    to remove tz arg in gettimeofday;
    check all tests

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Dec 2025 22:54:18 +0100

meli (0.8.12+dfsg-7) unstable; urgency=medium

  * build-depend on rustfmt

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Dec 2025 20:22:56 +0100

meli (0.8.12+dfsg-6) unstable; urgency=medium

  * skip test test_draft_hook_datewarn

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 04 Dec 2025 16:00:32 +0100

meli (0.8.12+dfsg-5) unstable; urgency=medium

  * fix declare built-using: unicode-data;
    build-depend on dh-sequence-builtusing

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Dec 2025 10:43:32 +0100

meli (0.8.12+dfsg-4) unstable; urgency=medium

  * drop patch 2001_linkify,
    obsoleted by Debian packaging changes;
    tighten build-dependency for crate linkify
  * declare built-using: unicode-data
  * add patch cherry-picked upstream
    to use newer minor version of crate nix;
    tighten build-dependencies for crate nix;
    closes: bug#1116528, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Dec 2025 10:15:40 +0100

meli (0.8.12+dfsg-3) unstable; urgency=medium

  * add patch 1001_assert_cmd
    to accept newer revisions of crate assert_cmd,
    replacing patch 2001_assert_cmd
  * update DEP-3 patch headers
  * relax build-dependency for crate linkify
  * add patch 1001_notify
    to accept newer major versions of crate notify;
    bump build-dependency for crate notify;
    closes: bug#1115273, thanks to NoisyCoil
  * add patch cherry-picked upstream
    to use 127.0.0.1 in tests (not 0.0.0.0)

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 24 Sep 2025 22:15:36 +0200

meli (0.8.12+dfsg-2) unstable; urgency=medium

  * add patch 2004_no_jmap_server_test
    to skip by default a test requiring a locally running jmap server
  * update watch file: improve mangling of upstream version

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 31 Aug 2025 16:20:08 +0200

meli (0.8.12+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * build-depend on libstd-rust-dev
  * update watch file: use file format 5
  * update DEP-3 patch headers
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Aug 2025 15:47:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-builtusing,
  dh-sequence-rust,
  librust-aho-corasick-1+default-dev,
  librust-assert-cmd-2+default-dev,
@@ -30,20 +31,20 @@
  librust-isahc-1+text-decoding-dev,
  librust-libc-0.2+default-dev,
  librust-libc-0.2+extra-traits-dev,
- librust-linkify-0.9+default-dev,
+ librust-linkify-0.10-dev,
  librust-native-tls-0.2+default-dev,
- librust-nix-0.29+dir-dev,
- librust-nix-0.29+fs-dev,
- librust-nix-0.29+hostname-dev,
- librust-nix-0.29+ioctl-dev,
- librust-nix-0.29+poll-dev,
- librust-nix-0.29+process-dev,
- librust-nix-0.29+signal-dev,
- librust-nix-0.29+socket-dev,
- librust-nix-0.29+term-dev,
+ librust-nix-0.30+dir-dev,
+ librust-nix-0.30+fs-dev,
+ librust-nix-0.30+hostname-dev,
+ librust-nix-0.30+ioctl-dev,
+ librust-nix-0.30+poll-dev,
+ librust-nix-0.30+process-dev,
+ librust-nix-0.30+signal-dev,
+ librust-nix-0.30+socket-dev,
+ librust-nix-0.30+term-dev,
  librust-nom-7+default-dev,
  librust-notify-rust-4+default-dev,
- librust-notify-6+default-dev,
+ librust-notify-8+default-dev,
  librust-num-cpus-1+default-dev,
  librust-pcre2-0.2+default-dev,
  librust-polling-3+default-dev,
@@ -76,7 +77,9 @@
  librust-uuid-1+v4-dev,
  librust-uuid-1+v5-dev,
  librust-xdg-2+default-dev,
+ libstd-rust-dev,
  mandoc,
+ rustfmt,
  unicode-data,
 Standards-Version: 4.7.2
 Homepage: https://meli-email.org/
@@ -101,6 +104,7 @@
  gnupg,
 Built-Using:
  ${cargo:Built-Using},
+ ${dh-builtusing:unicode-data},
 Static-Built-Using:
  ${cargo:Static-Built-Using},
 Description: terminal mail client

=== debian/rules ===
--- 
+++ 
@@ -12,18 +12,13 @@
 
 UNICODE_REGENERATE_TABLES=true
 
-TEST_BROKEN = \
- mail::compose::hooks::tests::test_draft_hook_datewarn
-
 %:
 	dh $@
 
 # avoid optimization on weak arches to not run out of memory
 override_dh_auto_test:
 ifneq (,$(filter $(DEB_HOST_ARCH),armel armhf i386 mips64el powerpc riscv64))
-	DEB_BUILD_OPTIONS=noopt dh_auto_test --buildsystem rust -- \
-	--no-fail-fast -- $(addprefix --skip ,$(TEST_BROKEN))
+	DEB_BUILD_OPTIONS=noopt dh_auto_test --buildsystem rust
 else
-	dh_auto_test --buildsystem rust -- \
-	--no-fail-fast -- $(addprefix --skip ,$(TEST_BROKEN))
+	dh_auto_test --buildsystem rust
 endif

## meli 0.8.13+dfsg

=== debian/changelog ===
meli (0.8.13+dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update and unfuzz patches
  * update watch file: use Uversion-Mangle: auto
  * stop declare superfluous fields Priority Rules-Requires-Root
  * declare compliance with Debian Policy 4.7.3
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 05 Jan 2026 09:38:22 +0100

meli (0.8.12+dfsg-9) unstable; urgency=medium

  * add patch 1001_async-fn-stream
    to accept newer minor version of crate async-fn-stream;
    relax build-dependency for crate async-fn-stream

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 05 Dec 2025 20:17:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: meli
 Section: mail
-Priority: optional
 Maintainer: Jonas Smedegaard <dr@jones.dk>
 Build-Depends:
  debhelper-compat (= 13),
@@ -8,7 +7,7 @@
  dh-sequence-rust,
  librust-aho-corasick-1+default-dev,
  librust-assert-cmd-2+default-dev,
- librust-async-fn-stream-0.2+default-dev,
+ librust-async-fn-stream-dev (<< 0.4),
  librust-async-io-2+default-dev,
  librust-async-task-4+default-dev,
  librust-bincode-1+default-dev,
@@ -81,11 +80,10 @@
  mandoc,
  rustfmt,
  unicode-data,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://meli-email.org/
 Vcs-Git: https://salsa.debian.org/debian/meli.git
 Vcs-Browser: https://salsa.debian.org/debian/meli
-Rules-Requires-Root: no
 
 Package: meli
 Architecture: any

=== debian/watch ===
version: 5
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

Template: Github
Owner: meli
Project: meli
Uversion-Mangle: auto
Dversion-Mangle: auto
Repacksuffix: +dfsg
